Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.opensymphony.xwork2.util
Class XWorkIteratorPropertyAccessor

    java.lang.Object
      ognl.ObjectPropertyAccessor
          ognl.IteratorPropertyAccessor
              com.opensymphony.xwork2.util.XWorkIteratorPropertyAccessor

All Implemented Interfaces:
  ognl.PropertyAccessor

    public class XWorkIteratorPropertyAccessor

extends ognl.IteratorPropertyAccessor

Author:
  plightbo

Field Summary
`(package private) ognl.ObjectPropertyAccessor` | `opa`

Constructor Summary
`XWorkIteratorPropertyAccessor()`

Method Summary
`void` | `setProperty(Map context, Object target, Object name, Object value)`

Methods inherited from class ognl.IteratorPropertyAccessor
`getProperty`

Methods inherited from class ognl.ObjectPropertyAccessor
`getPossibleProperty, hasGetProperty, hasGetProperty, hasSetProperty, hasSetProperty, setPossibleProperty`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### opa

    ognl.ObjectPropertyAccessor opa

Constructor Detail

### XWorkIteratorPropertyAccessor

    public XWorkIteratorPropertyAccessor()

Method Detail

### setProperty

    public void setProperty(Map context,
                            Object target,
                            Object name,
                            Object value)
                     throws ognl.OgnlException

  Specified by:
    `setProperty` in interface `ognl.PropertyAccessor`
  Overrides:
    `setProperty` in class `ognl.IteratorPropertyAccessor`
  Throws:
    `ognl.OgnlException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007 OpenSymphony. All Rights Reserved.